function [IF,timeRef] = CUI_startup(startingDir)
% add_sfsRR_paths:
% Add paths connecting the supporting functions for sfsRR_pve.

% Get the starting directory where the sfsRR_pvc is located.
if nargin == 0
    startingDir = uigetdir(pwd,'Select the directory where CUI program folder is located:');
end

basicDir = fullfile(startingDir,'SupportFcn');
% If path does not exist, prompt user for inputs.
if ~isdir(basicDir)
    startingDir = uigetdir(pwd,'Select the directory where sfsRR_pvc is located:');
end
if isempty(startingDir)
    % User cancelled. Take current dir so no path will be added in the next step.
    startingDir = pwd;
else
    if ~isempty(startingDir)
        % Go to the startingDir.
        cd (startingDir)
    else
        return % User-cancelled
    end
end

if exist(startingDir,'dir')
    % Add the supporting folders' paths.
    addpath(startingDir)
    addpath(fullfile(startingDir,'SupportFcn'))
    addpath(fullfile(startingDir,'Refdata'))    
    % Load the basic data.
    inputIF = load(fullfile(startingDir,'Refdata','IF.mat'));
    timeRef = load(fullfile(startingDir,'Refdata','timeRef.mat'));
    IF = inputIF.IF;
    timeRef = timeRef.timeRef;
    % Save path.
    savepath(fullfile(startingDir,'pathdef.m'))   
    % Display paths added.
    disp('***********************************************')
    disp('Added CUIevaluation supporting directories path... ')
    disp('***********************************************')
else
    disp('***********************************************')
    disp('Required path not added!')
    disp('***********************************************')
end
