function [Options,ProgramDetails] = processOptions(Options,DefaultOptions)
% Functions to process the Options structure.

% ----------------
% Program Details.
% ----------------
ProgramDetails.Ver          = '0.1';
ProgramDetails.Name         = 'processOptions';
ProgramDetails.Writer       = 'yhNai';
ProgramDetails.dateOfUpdate = '14Oct2014'; 

% -------
% Inputs:
% -------
% Options: Modified Options structure input by user.
% DefaultOptions: Default Options structure set up in the program.

% =========================================================================
% Get the required inputs.
if nargin < 2 
    error('processOptions: 2 inputs required!')
end

% Get the fieldnames of the DefaultOptions.
fieldsDefault = fieldnames(DefaultOptions);

% Get the fieldnames of the Options.
fieldsOptions = fieldnames(Options);

% Determine where the match lies.
fieldsMatch = compareCellStr(fieldsDefault,fieldsOptions);
% Determine the fields to fill.
fieldsToFill = 1:length(fieldsDefault);
fieldsToFill(fieldsMatch) = [];

% Loop through the DefaultOptions to fill up the Options missing fields.
for fieldNo = fieldsToFill
    % Fill in Options.
    Options.(fieldsDefault{fieldNo}) = DefaultOptions.(fieldsDefault{fieldNo});
end

% End of function. 
end
